#Makefile for sysUtils functions of psLib
#
INCLUDES = \
	-I$(top_srcdir)/src/astronomy \
	-I$(top_srcdir)/src/collections \
	-I$(top_srcdir)/src/dataManip \
	-I$(top_srcdir)/src/dataIO \
	-I$(top_srcdir)/src/image \
	$(all_includes)

noinst_LTLIBRARIES = libpslibsysUtils.la

libpslibsysUtils_la_SOURCES = \
	psMemory.c     \
	psError.c      \
	psTrace.c      \
	psLogMsg.c     \
	psAbort.c      \
	psString.c     \
	psConfigure.c  \
	psErrorCodes.c

BUILT_SOURCES = psSysUtilsErrors.h
EXTRA_DIST = psSysUtilsErrors.dat psSysUtilsErrors.h sysUtils.i

psSysUtilsErrors.h: psSysUtilsErrors.dat
	$(top_srcdir)/src/psParseErrorCodes --data=$? $@

pslibincludedir = $(includedir)
pslibinclude_HEADERS = \
	psType.h       \
	psMemory.h     \
	psError.h      \
	psTrace.h      \
	psLogMsg.h     \
	psAbort.h      \
	psString.h     \
	psConfigure.h  \
	psErrorCodes.h

